﻿@model IdentityVerificationViewModel
@{
    ViewBag.Title = "وریفایی حساب " + Model.FullName;
}

<div class="box box-info">
    <div class="box-header with-border">
        <h4 class="box-title">@ViewBag.Title</h4>
    </div>

    <div class="box-body pad">
        <div class="row">
            <div class="col-12">
                <div class="table-responsive">
                    <table class="table">
                        <tr>
                            <th>نام کاربری</th>
                            <td>@Model.UserName</td>
                        </tr>
                        <tr>
                            <th>نام کامل</th>
                            <td>@Model.FullName</td>
                        </tr>
                        <tr>
                            <th>تاریخ تولد</th>
                            <td>
                                @(Model.BirthDate.HasValue ? Model.BirthDate.Value.ToString("yyyy/MM/dd") : "مشخص نشده")
                            </td>
                        </tr>
                        <tr>
                            <th>جنسیت</th>
                            <td>
                                @(Model.Gender.HasValue ? Model.Gender.Value ? "مرد" : "زن" : "معلوم نشده")
                            </td>
                        </tr>
                        <tr>
                            <th>تصویر ارسال شده</th>
                            <td><img class="img-fluid" src="@Model.VerificationMedia.Url.ToStaticUrl()" /></td>
                        </tr>
                        <tr>
                            <th>
                                وضعیت احراز هویت
                            </th>
                            <td style="color:@Model.VerificationStatus.ToDisplay(DisplayProperty.GroupName)">
                                @Model.VerificationStatus.ToDisplay()
                            </td>
                        </tr>
                        <tr>
                            <th>
                                توضیحات
                            </th>
                            <td>
                                @Html.TextAreaFor(m => m.VerificationDescription, new { @class = "form-control" })
                            </td>
                        </tr>
                        <tr>
                            <th>عملیات</th>
                            <td>
                                <a id="confirmBtn" href="#" onclick="doVerify(@Model.Id, 1); return false;" class="btn btn-primary">تایید</a>
                                <a id="declineBtn" href="#" onclick="doVerify(@Model.Id, 0); return false;" class="btn btn-primary">باطل</a>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

@section scripts{
    <script type="text/javascript">
        var url = "@Url.Action("VerifySingle")";
        function doVerify(userId, accepted) {
            $('#confirmBtn').addClass('disabled');
            $('#declineBtn').addClass('disabled');
            var desc = $('#VerificationDescription').val();
            var postData = { id: userId, accepted: accepted, desc: desc }
            doAjax(postData, url, function (data) {
                if (data.Status) {
                    var str = url.substr(url.lastIndexOf('/') + 1) + '$';
                    return url.replace(new RegExp(str), '');
                    location.href = url;
                } else {
                    $('#confirmBtn').removeClass('disabled');
                    $('#declineBtn').removeClass('disabled');
                }
            });
        }
    </script>
}